
Ruby - Bug #8623

Make stable Gem::Specification.files in default .gemspecs

07/11/2013 05:56 PM - vo.x (Vit Ondruch)

Status: Closed   

Priority: Normal   

Assignee: drbrain (Eric Hodel)   

Target version:    

ruby -v: ruby 2.0.0p195 (2013-05-14 revision

40734) [x86_64-linux]

Backport: 1.9.3: DONTNEED, 2.0.0: DONE

Description

Although the .gemspec files for default gems are same in function, the different order of their "s.files" makes them different therefore

possibly conflicting in multilib scenario. Simple sorting fixes this issue.

Associated revisions

Revision 2238f11d1a4e3c344fc840cb88096de44b47b43e - 11/08/2013 09:11 PM - nobu (Nobuyoshi Nakada)

rbinstall.rb: make stable files in .gemspec

tool/rbinstall.rb (Gem::Specification#collect): make stable

Gem::Specification.files in default .gemspecs the different order of

"files" in .gemspec files makes them different therefore possibly

conflicting in multilib scenario.  patch by vo.x (Vit Ondruch) at

[ruby-core:57544] [Bug #8623].

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@43587 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 2238f11d - 11/08/2013 09:11 PM - nobu (Nobuyoshi Nakada)

rbinstall.rb: make stable files in .gemspec

tool/rbinstall.rb (Gem::Specification#collect): make stable

Gem::Specification.files in default .gemspecs the different order of

"files" in .gemspec files makes them different therefore possibly

conflicting in multilib scenario.  patch by vo.x (Vit Ondruch) at

[ruby-core:57544] [Bug #8623].

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@43587 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 7b60ab093bc204baf0fa2c5ba9024204650247c0 - 01/12/2014 07:08 AM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 43587: [Backport #8623]

    * tool/rbinstall.rb (Gem::Specification#collect): make stable

      Gem::Specification.files in default .gemspecs the different order of

      "files" in .gemspec files makes them different therefore possibly

      conflicting in multilib scenario.  patch by vo.x (Vit Ondruch) at

      [ruby-core:57544] [Bug #8623].

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_0_0@44567 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 7b60ab09 - 01/12/2014 07:08 AM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 43587: [Backport #8623]

    * tool/rbinstall.rb (Gem::Specification#collect): make stable

      Gem::Specification.files in default .gemspecs the different order of

      "files" in .gemspec files makes them different therefore possibly

      conflicting in multilib scenario.  patch by vo.x (Vit Ondruch) at

      [ruby-core:57544] [Bug #8623].

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_0_0@44567 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 07/11/2013 06:09 PM - naruse (Yui NARUSE)

- Category set to lib
- Status changed from Open to Assigned

- Assignee set to drbrain (Eric Hodel)

#2 - 10/01/2013 07:59 PM - vo.x (Vit Ondruch)

- File ruby-2.0.0-p247-Make-stable-Gem-Specification.files-in-default-.gems.patch added

Not sure why I did not attached patch, so here it is.

#3 - 11/09/2013 06:11 AM - nobu (Nobuyoshi Nakada)

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r43587.

Vit, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.

rbinstall.rb: make stable files in .gemspec

tool/rbinstall.rb (Gem::Specification#collect): make stable

Gem::Specification.files in default .gemspecs the different order of

"files" in .gemspec files makes them different therefore possibly

conflicting in multilib scenario.  patch by vo.x (Vit Ondruch) at

[ruby-core:57544] [Bug #8623].

#4 - 11/26/2013 11:10 AM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 1.9.3: UNKNOWN, 2.0.0: UNKNOWN to 1.9.3: UNKNOWN, 2.0.0: REQUIRED

I've overlooked this ticket.

Hello vit, r43587 should be backported to ruby_2_0_0, doesn't it?

#5 - 11/26/2013 03:57 PM - vo.x (Vit Ondruch)

nagachika (Tomoyuki Chikanaga) wrote:

I've overlooked this ticket.

Hello vit, r43587 should be backported to ruby_2_0_0, doesn't it?

 That would be sweet if you can backport. One less patch I need to maintain for Fedora.

#6 - 01/12/2014 07:08 AM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 1.9.3: UNKNOWN, 2.0.0: REQUIRED to 1.9.3: UNKNOWN, 2.0.0: DONE

r43587 was backported to ruby_2_0_0 at r44567.

#7 - 02/05/2014 03:27 AM - usa (Usaku NAKAMURA)

- Backport changed from 1.9.3: UNKNOWN, 2.0.0: DONE to 1.9.3: DONTNEED, 2.0.0: DONE

Files

ruby-2.0.0-p247-Make-stable-Gem-Specification.files-in-default-.gems.patch831 Bytes 10/01/2013 vo.x (Vit Ondruch)
